Page MenuHomePhabricator

rack/setup/deploy 3 eqiad druid nodes
Closed, ResolvedPublic

Description

This task will track the racking and setup of the 3 new druid nodes in eqiad.

This is the official task for setting up the 3 Druid Nodes. They are currently racked.

  • - receive in normally via T132067
  • - rack
  • - add mgmt dns entries for both asset tag and hostname
  • - add production dns entries
  • - setup network ports (description, enable, vlan)
  • - update install_server module
  • - install OS
  • - service implementation (hand off to

Event Timeline

RobH created this task.May 3 2016, 4:00 PM
Restricted Application added subscribers: Zppix, Southparkfan. · View Herald TranscriptMay 3 2016, 4:00 PM
RobH mentioned this in Unknown Object (Task).May 3 2016, 4:01 PM
Ottomata added a comment.EditedMay 3 2016, 4:02 PM

@JAllemandou @Milimetric, can you comment on desired partition layout for this?

I'm going to guess a small / partition, and then the rest of space (lvm?) on RAID 10 across all 4 disks.

Perhaps to make this easy, we should just ask for a small 30G / raid 10 array across all disks, and leave the rest up to us later.

RobH removed a parent task: Unknown Object (Task).May 3 2016, 4:03 PM
RobH added subtasks: Unknown Object (Task), T128807: eqiad: (3) nodes for Druid / analytics.

We are actually getting close to ready for this. Puppet development work got a little complicated.

what does 'update install_server module' mean?

Change 290940 had a related patch set uploaded (by Ottomata):
Add druid100[123] with just standard and base::firewall

https://gerrit.wikimedia.org/r/290940

Change 290940 merged by Ottomata:
Add druid100[123] with just standard and base::firewall

https://gerrit.wikimedia.org/r/290940

what does 'update install_server module' mean?

Oh duh, it means stick in some MAC addies and some partman.

Ok, I'm working on this.

@Cmjohnson druid1003 doesn't seem to respond at its mgmt address. Is the iLO working there?

Change 290944 had a related patch set uploaded (by Ottomata):
Add netboot MACs and partman recipe for druid hosts

https://gerrit.wikimedia.org/r/290944

Change 290944 merged by Ottomata:
Add netboot MACs and partman recipe for druid hosts

https://gerrit.wikimedia.org/r/290944

Change 290954 had a related patch set uploaded (by Ottomata):
Move druid entries into analytics vlans

https://gerrit.wikimedia.org/r/290954

Change 290954 merged by Ottomata:
Move druid entries into analytics vlans

https://gerrit.wikimedia.org/r/290954

Change 290962 had a related patch set uploaded (by Ottomata):
Add druid1003's MAC to linxu-host-entries

https://gerrit.wikimedia.org/r/290962

Change 290962 merged by Ottomata:
Add druid1003's MAC to linxu-host-entries

https://gerrit.wikimedia.org/r/290962

Ottomata claimed this task.May 26 2016, 6:31 PM
Ottomata updated the task description. (Show Details)

Servers are installed!

Ottomata closed this task as Resolved.May 31 2016, 7:29 PM
Ottomata updated the task description. (Show Details)
RobH closed subtask Unknown Object (Task) as Resolved.Oct 12 2016, 5:48 PM